Stefanaccio69
Contributor
Contributor

Required an update for new kernel linux 5.7.6 about vmmon and vmnet kernel modules

Vmmon and Vmnet kernel modules are deprecated for new kernel linux 5.7.6.

VMware Workstation 15.5.6 don't work with this new kernel.

Anybody help me?

0 Kudos
5 Replies
continuum
Immortal
Immortal

Option 1: dont use latest kernels if you want to run Workstation

Option 2: wait - until someone created a patch

Do you need support with a recovery problem ? - send a message via skype "sanbarrow"
0 Kudos
mkubecek
Enthusiast
Enthusiast

Option 3: describe the problem properly so that someone can look into it

Option 4: check if someone hasn't already asked the same question

0 Kudos
pjuhen
Contributor
Contributor

Hello,

I confirm the issue.

Please see the failed compilation log of the module under kernel 5.7.6 (Version 15.5.2. Newer versions fail to execute under Fedora 32)

Regards,

0 Kudos
mkubecek
Enthusiast
Enthusiast

Yes, that's exactly the same issue as already discussed in kernel 5.7.6 build failure  (with solution provided). That's what I meant by "option 4".

0 Kudos
pjuhen
Contributor
Contributor

Hi mkubecek,

I applied the patch.

It works.

Issue closed.

Thanks !

0 Kudos